﻿@page
@model Orgatron.Pages.Evenements.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-page="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Evenement[0].Nom)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Evenement[0].StartedAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Evenement[0].EndAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Evenement[0].NbPersonnesEnAttente)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Evenement) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Nom)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.StartedAt)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EndAt)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.NbPersonnesEnAttente)
            </td>
			<td>
				<a asp-page="./Start" asp-route-id="@item.Id">Démarrer la partie</a> |
				<a asp-page="./Invitation" asp-route-id="@item.Id">Inviter</a> |
				<a asp-page="./Edit" asp-route-id="@item.Id">Edit</a> |
				<a asp-page="./Details" asp-route-id="@item.Id">Details</a> |
				<a asp-page="./Delete" asp-route-id="@item.Id">Delete</a>
			</td>
        </tr>
}
    </tbody>
</table>
